Hansen MPI Software Changes - December 16, 2011

November 22, 2011
Hansen

As a follow up to our earlier tip describing the optimal MPI for computations on Hansen, we are undertaking an effort to reduce the number of maintained MPI implementations.

This will make it easier for you, the user, to identify and use the best MPI without the potential confusion caused by unnecessary software installations. On December 16, 2011, the following MPI installations will be REMOVED from Hansen:

  • All versions of MPICH-1 (such as mpich-1.2.7p1-gcc64)
  • All versions of OpenMPI older than 1.4.4 or 1.5.4
  • All versions of MPICH-2 older than 1.4.0

If your research uses an MPI version that will be removed, please re-compile your program with OpenMPI 1.4.4, or MVAPICH2.

If this will not work for you - such as if your software CANNOT use OpenMPI 1.4.4 - please let us know at rcac-help@purdue.edu, and we will make every effort to accommodate you or provide a solution.

Originally posted: November 22, 2011